-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Oct 09, 2024 at 06:52 PM
-- Server version: 10.4.32-MariaDB
-- PHP Version: 8.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `bnt`
--

-- --------------------------------------------------------

--
-- Table structure for table `activity_login_logouts`
--

CREATE TABLE `activity_login_logouts` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_type` varchar(50) DEFAULT NULL,
  `user_id` bigint(20) UNSIGNED DEFAULT NULL,
  `user_name` varchar(100) DEFAULT NULL,
  `login_ip` varchar(50) DEFAULT NULL,
  `logout_ip` varchar(50) DEFAULT NULL,
  `login_time` datetime DEFAULT NULL,
  `logout_time` datetime DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `activity_login_logouts`
--

INSERT INTO `activity_login_logouts` (`id`, `user_type`, `user_id`, `user_name`, `login_ip`, `logout_ip`, `login_time`, `logout_time`, `status`) VALUES
(1, 'admin', 12, 'Admin', '127.0.0.1', '127.0.0.1', '2024-09-07 05:38:38', '2024-09-05 10:43:46', 1),
(2, 'admin', 1, 'Super Admin', '127.0.0.1', '1.187.214.112', '2024-10-09 16:08:27', '2024-10-09 04:19:42', 1),
(3, 'admin', 13, 'Student A', '127.0.0.1', '146.196.45.151', '2024-10-09 16:18:18', '2024-10-07 11:59:22', 1),
(4, 'admin', 17, 'Camilla Martin', '127.0.0.1', '127.0.0.1', '2024-09-22 15:59:00', '2024-09-22 16:05:04', 0),
(5, 'admin', 20, 'Dev Student', '127.0.0.1', '127.0.0.1', '2024-10-01 09:06:04', '2024-09-27 19:15:04', 1),
(6, 'admin', 23, 'Rishikesh Prasad', '42.110.163.32', '42.110.163.32', '2024-10-07 17:05:05', '2024-10-07 17:05:34', 0),
(7, 'admin', 25, 'Aman Jain', '1.187.214.112', '1.187.214.112', '2024-10-08 04:17:33', '2024-10-08 04:18:05', 0);

-- --------------------------------------------------------

--
-- Table structure for table `activity_logs`
--

CREATE TABLE `activity_logs` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_type` varchar(50) DEFAULT NULL,
  `user_id` bigint(20) UNSIGNED DEFAULT NULL,
  `activity` varchar(255) NOT NULL,
  `ip_address` varchar(50) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `activity_logs`
--

INSERT INTO `activity_logs` (`id`, `user_type`, `user_id`, `activity`, `ip_address`, `created_at`) VALUES
(1, 'admin', 12, 'Admin logged out, AdminID: 12', '127.0.0.1', '2024-09-05 10:27:00'),
(2, 'admin', 12, 'Admin logged in, AdminID: 12', '127.0.0.1', '2024-09-05 10:27:06'),
(3, 'admin', 12, 'Admin logged out, AdminID: 12', '127.0.0.1', '2024-09-05 10:43:01'),
(4, 'admin', 12, 'Admin logged in, AdminID: 12', '127.0.0.1', '2024-09-05 10:43:25'),
(5, 'admin', 12, 'Admin logged out, AdminID: 12', '127.0.0.1', '2024-09-05 10:43:46'),
(6, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-05 10:43:52'),
(7, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-05 10:44:24'),
(8, 'admin', 12, 'Admin logged in, AdminID: 12', '127.0.0.1', '2024-09-07 05:38:39'),
(9, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-07 05:47:39'),
(10, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-07 07:28:46'),
(11, 'admin', 1, 'User Status Turned Off, UserID: 13', '127.0.0.1', '2024-09-07 07:28:51'),
(12, 'admin', 1, 'User Status Turned On, UserID: 13', '127.0.0.1', '2024-09-07 07:28:54'),
(13, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-07 07:34:02'),
(14, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-07 07:34:42'),
(15, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-07 07:35:33'),
(16, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-07 07:38:26'),
(17, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-07 07:38:35'),
(18, 'admin', 1, 'User Status Turned Off, UserID: 14', '127.0.0.1', '2024-09-07 07:39:47'),
(19, 'admin', 1, 'User Status Turned On, UserID: 14', '127.0.0.1', '2024-09-07 07:39:49'),
(20, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-07 07:55:15'),
(21, 'admin', 1, 'User Updated, UserID: 14', '127.0.0.1', '2024-09-07 08:02:06'),
(22, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-07 09:45:58'),
(23, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-17 15:11:17'),
(24, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-17 17:25:33'),
(25, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-18 16:27:28'),
(26, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-19 08:16:34'),
(27, 'admin', 1, 'User Status Turned Off, UserID: 13', '127.0.0.1', '2024-09-19 08:22:05'),
(28, 'admin', 1, 'User Status Turned On, UserID: 13', '127.0.0.1', '2024-09-19 08:22:09'),
(29, 'admin', 1, 'User Deleted, UserID: 14', '127.0.0.1', '2024-09-19 10:56:14'),
(30, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-19 10:56:37'),
(31, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-19 10:56:43'),
(32, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-19 10:56:57'),
(33, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-19 10:57:42'),
(34, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-21 13:29:07'),
(35, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-21 13:29:18'),
(36, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-21 13:29:25'),
(37, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-21 13:29:30'),
(38, 'admin', 13, 'Admin logged out, AdminID: 13', '127.0.0.1', '2024-09-21 13:36:04'),
(39, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-21 13:36:26'),
(40, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-21 13:37:57'),
(41, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-21 13:38:02'),
(42, 'admin', 13, 'Admin logged out, AdminID: 13', '127.0.0.1', '2024-09-21 14:13:05'),
(43, 'admin', 17, 'Admin logged in, AdminID: 17', '127.0.0.1', '2024-09-22 15:59:00'),
(44, 'admin', 17, 'Admin logged out, AdminID: 17', '127.0.0.1', '2024-09-22 16:05:04'),
(45, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-22 18:07:45'),
(46, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-22 18:08:01'),
(47, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-22 18:08:05'),
(48, 'admin', 13, 'Admin logged out, AdminID: 13', '127.0.0.1', '2024-09-22 18:09:12'),
(49, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-22 18:09:24'),
(50, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-24 18:03:17'),
(51, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-25 04:04:46'),
(52, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-25 06:15:00'),
(53, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-25 06:15:06'),
(54, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-25 17:36:46'),
(55, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-25 18:10:49'),
(56, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-25 18:10:54'),
(57, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-26 03:46:49'),
(58, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-26 03:47:21'),
(59, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-26 03:47:28'),
(60, 'admin', 13, 'Admin logged out, AdminID: 13', '127.0.0.1', '2024-09-26 04:26:54'),
(61, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-26 04:27:01'),
(62, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-26 05:25:13'),
(63, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-26 05:25:18'),
(64, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-26 16:28:21'),
(65, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-26 16:33:07'),
(66, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-26 16:33:14'),
(67, 'admin', 13, 'Admin logged out, AdminID: 13', '127.0.0.1', '2024-09-26 16:49:28'),
(68, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-26 16:49:36'),
(69, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-26 17:25:09'),
(70, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-26 17:25:15'),
(71, 'admin', 13, 'Admin logged out, AdminID: 13', '127.0.0.1', '2024-09-26 17:31:59'),
(72, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-26 17:32:11'),
(73, 'admin', 20, 'Admin logged in, AdminID: 20', '127.0.0.1', '2024-09-27 18:37:28'),
(74, 'admin', 20, 'Admin logged out, AdminID: 20', '127.0.0.1', '2024-09-27 18:37:31'),
(75, 'admin', 20, 'Admin logged in, AdminID: 20', '127.0.0.1', '2024-09-27 19:14:54'),
(76, 'admin', 20, 'Admin logged out, AdminID: 20', '127.0.0.1', '2024-09-27 19:15:04'),
(77, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-27 19:15:11'),
(78, 'admin', 13, 'Admin logged out, AdminID: 13', '127.0.0.1', '2024-09-27 19:20:03'),
(79, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-27 19:20:37'),
(80, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-27 19:20:46'),
(81, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-27 19:20:53'),
(82, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-27 19:20:59'),
(83, 'admin', 1, 'User Updated, UserID: 13', '127.0.0.1', '2024-09-27 19:23:44'),
(84, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-29 18:08:56'),
(85, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-09-29 18:51:32'),
(86, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-09-29 18:51:38'),
(87, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-09-30 17:34:26'),
(88, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-10-01 02:56:29'),
(89, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-10-01 05:22:32'),
(90, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-10-01 05:46:05'),
(91, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-10-01 06:44:01'),
(92, 'admin', 1, 'Admin logged out, AdminID: 1', '127.0.0.1', '2024-10-01 09:04:18'),
(93, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-10-01 09:04:55'),
(94, 'admin', 13, 'Admin logged out, AdminID: 13', '127.0.0.1', '2024-10-01 09:05:51'),
(95, 'admin', 20, 'Admin logged in, AdminID: 20', '127.0.0.1', '2024-10-01 09:06:04'),
(96, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-10-01 09:06:29'),
(97, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-10-03 15:19:49'),
(98, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-10-03 15:25:28'),
(99, 'admin', 1, 'User Updated, UserID: 17', '127.0.0.1', '2024-10-03 15:34:43'),
(100, 'admin', 1, 'Admin logged in, AdminID: 1', '103.135.229.249', '2024-10-03 17:02:38'),
(101, 'admin', 23, 'Admin logged in, AdminID: 23', '2402:3a80:1963:cc21:278:5634:1232:5476', '2024-10-03 17:07:54'),
(102, 'admin', 13, 'Admin logged in, AdminID: 13', '103.135.229.249', '2024-10-03 17:13:28'),
(103, 'admin', 1, 'Admin logged in, AdminID: 1', '103.135.229.249', '2024-10-03 18:53:37'),
(104, 'admin', 1, 'Admin logged out, AdminID: 1', '103.135.229.249', '2024-10-03 18:53:45'),
(105, 'admin', 13, 'Admin logged in, AdminID: 13', '103.135.229.249', '2024-10-03 18:53:53'),
(106, 'admin', 23, 'Admin logged in, AdminID: 23', '2402:3a80:1963:f0d9:278:5634:1232:5476', '2024-10-04 03:12:08'),
(107, 'admin', 23, 'Admin logged in, AdminID: 23', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 04:48:53'),
(108, 'admin', 23, 'Admin logged out, AdminID: 23', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 04:50:14'),
(109, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 04:50:22'),
(110, 'admin', 1, 'Admin logged out, AdminID: 1', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 04:51:42'),
(111, 'admin', 23, 'Admin logged in, AdminID: 23', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 04:51:55'),
(112, 'admin', 23, 'Admin logged out, AdminID: 23', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 04:53:01'),
(113, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 04:53:09'),
(114, 'admin', 1, 'Admin logged in, AdminID: 1', '2401:4900:7ce0:505:c06a:41ef:a127:3136', '2024-10-04 05:06:13'),
(115, 'admin', 1, 'Admin logged out, AdminID: 1', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 05:10:19'),
(116, 'admin', 23, 'Admin logged in, AdminID: 23', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 05:10:29'),
(117, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 08:14:02'),
(118, 'admin', 23, 'Admin logged in, AdminID: 23', '2401:4900:7ce0:505:4c3b:b8f9:4f00:225a', '2024-10-04 08:15:08'),
(119, 'admin', 1, 'Admin logged out, AdminID: 1', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 08:16:36'),
(120, 'admin', 23, 'Admin logged in, AdminID: 23', '2405:201:800d:8809:2c8b:f7e6:9113:92c5', '2024-10-04 08:16:45'),
(121, 'admin', 1, 'Admin logged in, AdminID: 1', '2402:3a80:1963:f0d9:278:5634:1232:5476', '2024-10-04 11:36:01'),
(122, 'admin', 23, 'Admin logged in, AdminID: 23', '171.79.41.158', '2024-10-04 12:01:08'),
(123, 'admin', 1, 'User Updated, UserID: 17', '127.0.0.1', '2024-10-05 05:52:44'),
(124, 'admin', 1, 'User Updated, UserID: 17', '127.0.0.1', '2024-10-05 05:55:33'),
(125, 'admin', 1, 'User Updated, UserID: 17', '127.0.0.1', '2024-10-05 05:57:53'),
(126, 'admin', 1, 'Admin logged in, AdminID: 1', '2402:3a80:1963:a323:e4b9:7ec3:5e2:ffb5', '2024-10-05 11:33:40'),
(127, 'admin', 1, 'Admin logged out, AdminID: 1', '2402:3a80:1963:a323:e4b9:7ec3:5e2:ffb5', '2024-10-05 11:45:20'),
(128, 'admin', 1, 'Admin logged in, AdminID: 1', '103.171.246.69', '2024-10-05 11:48:46'),
(129, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8181:91f0:1f24:730f:dd4f', '2024-10-05 11:51:10'),
(130, 'admin', 1, 'Admin logged out, AdminID: 1', '2405:201:800d:8181:91f0:1f24:730f:dd4f', '2024-10-05 11:53:47'),
(131, 'admin', 23, 'Admin logged in, AdminID: 23', '2405:201:800d:8181:91f0:1f24:730f:dd4f', '2024-10-05 11:53:53'),
(132, 'admin', 23, 'Admin logged out, AdminID: 23', '2405:201:800d:8181:91f0:1f24:730f:dd4f', '2024-10-05 11:54:19'),
(133, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8181:91f0:1f24:730f:dd4f', '2024-10-05 11:54:26'),
(134, 'admin', 1, 'Admin logged out, AdminID: 1', '2405:201:800d:8181:91f0:1f24:730f:dd4f', '2024-10-05 11:56:15'),
(135, 'admin', 25, 'Admin logged in, AdminID: 25', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:31:46'),
(136, 'admin', 25, 'Admin logged out, AdminID: 25', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:32:12'),
(137, 'admin', 1, 'Admin logged in, AdminID: 1', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:32:19'),
(138, 'admin', 1, 'Admin logged out, AdminID: 1', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:32:53'),
(139, 'admin', 25, 'Admin logged in, AdminID: 25', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:33:04'),
(140, 'admin', 25, 'Admin logged out, AdminID: 25', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:33:10'),
(141, 'admin', 1, 'Admin logged in, AdminID: 1', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:33:38'),
(142, 'admin', 1, 'Admin logged out, AdminID: 1', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:34:13'),
(143, 'admin', 25, 'Admin logged in, AdminID: 25', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:34:22'),
(144, 'admin', 25, 'Admin logged out, AdminID: 25', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:34:56'),
(145, 'admin', 25, 'Admin logged in, AdminID: 25', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:35:07'),
(146, 'admin', 25, 'Admin logged out, AdminID: 25', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:35:28'),
(147, 'admin', 1, 'Admin logged in, AdminID: 1', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:35:35'),
(148, 'admin', 1, 'Admin logged out, AdminID: 1', '2401:4900:7cd0:d1cc:4ccd:dce6:e11a:a4b3', '2024-10-05 14:48:02'),
(149, 'admin', 25, 'Admin logged in, AdminID: 25', '2401:4900:7cd0:d1cc:601b:bec4:2530:d22d', '2024-10-05 16:02:27'),
(150, 'admin', 25, 'Admin logged out, AdminID: 25', '2401:4900:7cd0:d1cc:601b:bec4:2530:d22d', '2024-10-05 16:02:46'),
(151, 'admin', 1, 'Admin logged in, AdminID: 1', '103.171.246.69', '2024-10-05 16:11:50'),
(152, 'admin', 23, 'Admin logged in, AdminID: 23', '2402:3a80:1964:6c68:378:5634:1232:5476', '2024-10-05 16:55:32'),
(153, 'admin', 23, 'Admin logged out, AdminID: 23', '2402:3a80:1964:6c68:378:5634:1232:5476', '2024-10-05 16:56:49'),
(154, 'admin', 1, 'Admin logged in, AdminID: 1', '2402:3a80:1964:6c68:378:5634:1232:5476', '2024-10-05 16:57:14'),
(155, 'admin', 1, 'Admin logged in, AdminID: 1', '2409:40e0:103b:dd50:c402:5dc8:bc47:b455', '2024-10-06 06:54:44'),
(156, 'admin', 23, 'Admin logged in, AdminID: 23', '2402:3a80:1964:6a39:378:5634:1232:5476', '2024-10-06 08:43:04'),
(157, 'admin', 1, 'Admin logged in, AdminID: 1', '27.56.211.227', '2024-10-06 15:13:51'),
(158, 'admin', 1, 'Admin logged out, AdminID: 1', '27.56.211.227', '2024-10-06 15:15:07'),
(159, 'admin', 25, 'Admin logged in, AdminID: 25', '27.56.211.227', '2024-10-06 15:15:16'),
(160, 'admin', 25, 'Admin logged out, AdminID: 25', '27.56.211.227', '2024-10-06 15:15:54'),
(161, 'admin', 1, 'Admin logged in, AdminID: 1', '27.56.211.227', '2024-10-06 15:16:00'),
(162, 'admin', 1, 'Admin logged out, AdminID: 1', '27.56.211.227', '2024-10-06 15:19:18'),
(163, 'admin', 25, 'Admin logged in, AdminID: 25', '27.56.211.227', '2024-10-06 15:43:31'),
(164, 'admin', 25, 'Admin logged out, AdminID: 25', '27.56.211.227', '2024-10-06 15:43:44'),
(165, 'admin', 1, 'Admin logged in, AdminID: 1', '27.56.211.227', '2024-10-06 15:43:50'),
(166, 'admin', 1, 'Admin logged out, AdminID: 1', '27.56.211.227', '2024-10-06 15:44:30'),
(167, 'admin', 25, 'Admin logged in, AdminID: 25', '27.56.211.227', '2024-10-06 15:44:38'),
(168, 'admin', 25, 'Admin logged in, AdminID: 25', '27.56.211.227', '2024-10-07 09:08:00'),
(169, 'admin', 1, 'Admin logged in, AdminID: 1', '1.187.219.18', '2024-10-07 09:35:46'),
(170, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 09:35:55'),
(171, 'admin', 1, 'Admin logged out, AdminID: 1', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 09:36:02'),
(172, 'admin', 23, 'Admin logged in, AdminID: 23', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 09:36:09'),
(173, 'admin', 23, 'Admin logged out, AdminID: 23', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 09:36:53'),
(174, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 09:37:04'),
(175, 'admin', 1, 'User Deleted, UserID: 17', '1.187.219.18', '2024-10-07 09:38:52'),
(176, 'admin', 1, 'User Deleted, UserID: 15', '1.187.219.18', '2024-10-07 09:38:54'),
(177, 'admin', 1, 'User Deleted, UserID: 24', '1.187.219.18', '2024-10-07 09:38:56'),
(178, 'admin', 1, 'User Deleted, UserID: 22', '1.187.219.18', '2024-10-07 09:39:03'),
(179, 'admin', 1, 'Admin logged out, AdminID: 1', '1.187.219.18', '2024-10-07 09:39:44'),
(180, 'admin', 1, 'User Deleted, UserID: 14', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 09:44:54'),
(181, 'admin', 25, 'Admin logged in, AdminID: 25', '27.56.211.227', '2024-10-07 09:45:37'),
(182, 'admin', 25, 'Admin logged out, AdminID: 25', '27.56.211.227', '2024-10-07 09:45:44'),
(183, 'admin', 1, 'Admin logged in, AdminID: 1', '27.56.211.227', '2024-10-07 09:45:52'),
(184, 'admin', 13, 'Admin logged in, AdminID: 13', '146.196.45.151', '2024-10-07 09:53:59'),
(185, 'admin', 1, 'Admin logged in, AdminID: 1', '146.196.45.151', '2024-10-07 11:14:43'),
(186, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 11:54:06'),
(187, 'admin', 1, 'Admin logged out, AdminID: 1', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 11:54:13'),
(188, 'admin', 23, 'Admin logged in, AdminID: 23', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 11:54:19'),
(189, 'admin', 23, 'Admin logged out, AdminID: 23', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 11:57:27'),
(190, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 11:57:33'),
(191, 'admin', 1, 'Admin logged out, AdminID: 1', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 11:59:20'),
(192, 'admin', 13, 'Admin logged out, AdminID: 13', '146.196.45.151', '2024-10-07 11:59:22'),
(193, 'admin', 23, 'Admin logged in, AdminID: 23', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 11:59:28'),
(194, 'admin', 23, 'Admin logged out, AdminID: 23', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 12:00:56'),
(195, 'admin', 25, 'Admin logged in, AdminID: 25', '27.56.211.227', '2024-10-07 12:31:48'),
(196, 'admin', 25, 'Admin logged in, AdminID: 25', '27.56.211.227', '2024-10-07 12:47:37'),
(197, 'admin', 25, 'Admin logged out, AdminID: 25', '27.56.211.227', '2024-10-07 12:48:09'),
(198, 'admin', 1, 'Admin logged in, AdminID: 1', '27.56.211.227', '2024-10-07 12:48:15'),
(199, 'admin', 1, 'Admin logged out, AdminID: 1', '27.56.211.227', '2024-10-07 12:54:12'),
(200, 'admin', 1, 'Admin logged in, AdminID: 1', '27.56.211.227', '2024-10-07 12:56:16'),
(201, 'admin', 1, 'Admin logged out, AdminID: 1', '27.56.211.227', '2024-10-07 12:58:11'),
(202, 'admin', 25, 'Admin logged in, AdminID: 25', '27.56.211.227', '2024-10-07 12:58:19'),
(203, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8199:3077:55fb:78f9:fb6e', '2024-10-07 13:01:16'),
(204, 'admin', 25, 'Admin logged out, AdminID: 25', '27.56.211.227', '2024-10-07 13:01:17'),
(205, 'admin', 1, 'Admin logged in, AdminID: 1', '27.56.211.227', '2024-10-07 13:01:28'),
(206, 'admin', 1, 'Admin logged out, AdminID: 1', '27.56.211.227', '2024-10-07 13:16:58'),
(207, 'admin', 1, 'Admin logged in, AdminID: 1', '27.56.211.227', '2024-10-07 13:18:00'),
(208, 'admin', 1, 'Admin logged out, AdminID: 1', '27.56.211.227', '2024-10-07 13:18:05'),
(209, 'admin', 1, 'Admin logged in, AdminID: 1', '27.56.211.227', '2024-10-07 13:18:46'),
(210, 'admin', 1, 'Admin logged out, AdminID: 1', '27.56.211.227', '2024-10-07 15:43:15'),
(211, 'admin', 23, 'Admin logged in, AdminID: 23', '42.110.163.32', '2024-10-07 16:49:25'),
(212, 'admin', 23, 'Admin logged out, AdminID: 23', '42.110.163.32', '2024-10-07 16:49:29'),
(213, 'admin', 1, 'Admin logged in, AdminID: 1', '146.196.45.151', '2024-10-07 16:53:07'),
(214, 'admin', 1, 'Admin logged out, AdminID: 1', '146.196.45.151', '2024-10-07 16:55:57'),
(215, 'admin', 1, 'Admin logged in, AdminID: 1', '146.196.45.151', '2024-10-07 17:03:32'),
(216, 'admin', 23, 'Admin logged in, AdminID: 23', '42.110.163.32', '2024-10-07 17:05:05'),
(217, 'admin', 23, 'Admin logged out, AdminID: 23', '42.110.163.32', '2024-10-07 17:05:34'),
(218, 'admin', 1, 'Admin logged in, AdminID: 1', '1.187.214.112', '2024-10-08 04:13:49'),
(219, 'admin', 1, 'Admin logged out, AdminID: 1', '1.187.214.112', '2024-10-08 04:17:19'),
(220, 'admin', 25, 'Admin logged in, AdminID: 25', '1.187.214.112', '2024-10-08 04:17:33'),
(221, 'admin', 25, 'Admin logged out, AdminID: 25', '1.187.214.112', '2024-10-08 04:18:05'),
(222, 'admin', 1, 'Admin logged in, AdminID: 1', '1.187.214.112', '2024-10-08 04:18:13'),
(223, 'admin', 1, 'Admin logged in, AdminID: 1', '2405:201:800d:8199:ad56:b5db:9f17:9b23', '2024-10-08 05:57:01'),
(224, 'admin', 1, 'Admin logged in, AdminID: 1', '103.175.63.254', '2024-10-08 06:02:49'),
(225, 'admin', 1, 'Admin logged in, AdminID: 1', '1.187.214.112', '2024-10-09 04:19:26'),
(226, 'admin', 1, 'Admin logged out, AdminID: 1', '1.187.214.112', '2024-10-09 04:19:42'),
(227, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-10-09 10:37:08'),
(228, 'admin', 1, 'Admin logged in, AdminID: 1', '127.0.0.1', '2024-10-09 16:08:27'),
(229, 'admin', 13, 'Admin logged in, AdminID: 13', '127.0.0.1', '2024-10-09 16:18:18');

-- --------------------------------------------------------

--
-- Table structure for table `admins`
--

CREATE TABLE `admins` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `role_id` bigint(20) UNSIGNED DEFAULT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `name` varchar(100) NOT NULL,
  `email` varchar(150) NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `phone` varchar(20) NOT NULL,
  `alt_phone` varchar(20) DEFAULT NULL,
  `picture` varchar(255) DEFAULT NULL,
  `zip` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `state` varchar(255) DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `created_by` bigint(20) UNSIGNED DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `status` tinyint(1) NOT NULL DEFAULT 0,
  `terms_acceptance` tinyint(1) NOT NULL,
  `trash` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `admins`
--

INSERT INTO `admins` (`id`, `role_id`, `username`, `password`, `name`, `email`, `email_verified_at`, `phone`, `alt_phone`, `picture`, `zip`, `city`, `state`, `country`, `address`, `created_by`, `created_at`, `updated_at`, `status`, `terms_acceptance`, `trash`) VALUES
(1, NULL, 'superadmin@gmail.com', '$2y$12$lQVfAYsDK4HqVL1R1Hl7Y.ozwmwSHIoD0VRh65Fznaqw5EO2sdN6C', 'Super Admin', 'superadmin@gmail.com', '2024-09-27 12:56:38', '77777777', NULL, 'admin_profile/1726731929_4721eea8-03cf-4935-aa3d-0e74bdd2d034.png', NULL, NULL, NULL, NULL, NULL, NULL, '2024-09-05 09:27:34', '2024-09-27 18:27:10', 1, 0, 0),
(13, 1, 'mofijul007@yahoo.com', '$2y$12$lQVfAYsDK4HqVL1R1Hl7Y.ozwmwSHIoD0VRh65Fznaqw5EO2sdN6C', 'Student A', 'mofijul007@yahoo.com', '2024-09-27 12:56:38', '9999999999', '8888888888', 'admin_profile/1726733794__0e6477f8-aa59-4692-88d3-afbcb81ea695.jpeg', '123456', 'Basirhat', 'West Bengal', 'India', 'Hizla Road', 1, '2024-09-07 01:57:44', '2024-10-07 11:59:20', 1, 0, 0),
(14, 1, 'abc@gmail.com', '$2y$12$i5x.OnuvdpYL8Cf6/9D.NuSF504FkqLAwMFKaZ1nqqO1TGctPnbz.', 'SARIFUL ISLAM GAZI', 'abc@gmail.com', '2024-09-27 12:56:38', '08972573889', '08972573889', 'profile_image/ERhCFBjicpsBUrTG0JSKRt3yqncfJOyvQFOarBho.png', '743422', 'Basirhat', 'West Bengal', 'India', 'Hizla Road', 1, '2024-09-07 02:09:34', '2024-10-07 09:44:54', 1, 0, 1),
(15, 1, 'xuxak@mailinator.com', '$2y$12$lQVfAYsDK4HqVL1R1Hl7Y.ozwmwSHIoD0VRh65Fznaqw5EO2sdN6C', 'Castor Hancock', 'xuxak@mailinator.com', '2024-09-27 12:56:38', '+1 (369) 289-3397', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2024-09-22 10:20:19', '2024-10-07 09:38:54', 1, 1, 1),
(16, 1, 'jola@mailinator.com', '$2y$12$NL9Yn8DxFQyb1mBB4qdsUuS8/OuLNs3X6Je1ENq36VEH6/p/NsRpW', 'Hannah Levy', 'jola@mailinator.com', '2024-09-27 12:56:38', '+1 (245) 397-6942', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2024-09-22 10:25:37', '2024-09-27 18:26:57', 1, 1, 0),
(17, 1, 'rydi@mailinator.com', '$2y$12$W8QpKO5XX9I8BsT1eIG39ukg/n2qySCnue7oyta.AwCN4ejCT33u2', 'Camilla Martin', 'rydi@mailinator.com', '2024-09-27 12:56:38', '+1 (149) 443-14', NULL, 'admin_profile/1728107873_main_img_1694505712_1.png', '45435', 'gfdg', 'sdf', 'fgdfgad', 'asde', 1, '2024-09-22 10:26:33', '2024-10-07 09:38:52', 1, 0, 1),
(20, 1, 'rehan1809m@gmail.com', '$2y$12$56.TeD1DxM4HqWUtyq9OK.M9xtoN6LLPT0BJZCH6n/gKhy5r9c23i', 'Dev Student', 'rehan1809m@gmail.com', '2024-09-27 13:44:42', '6289616042', NULL, 'admin_profile/1727774200_user.png', NULL, NULL, NULL, NULL, NULL, NULL, '2024-09-27 12:48:00', '2024-10-01 03:46:40', 1, 1, 0),
(21, 1, 'dykexycu@mailinator.com', '$2y$12$VAeLSXLhrWHvrbZPK4w8TeOj0hQMc6E/.r8NrQl5EeZkq2mIW8KJW', 'Jolie Figueroa', 'dykexycu@mailinator.com', NULL, '193283139', '+1 (149) 239-21', NULL, '98968', 'Suscipit consectetur', 'Sed at dolorum ratio', 'Perferendis hic repe', 'Velit id sit volupt', 1, '2024-09-27 13:58:04', '2024-09-27 19:30:11', 1, 0, 0),
(22, 1, 'dypavexus@mailinator.com', '$2y$12$oCdhTaDxnFsaPpTvH77ONe5SKcs.IYw6tlyTdzeN4mUXSbnnKmD8.', 'Griffith Sims', 'dypavexus@mailinator.com', NULL, '186964899', '+1 (284) 843-15', NULL, '97197', 'Quas incididunt culp', 'Praesentium perspici', 'Sed accusamus facere', 'Molestias quia conse', 1, '2024-09-27 13:58:25', '2024-10-07 09:39:03', 1, 0, 1),
(23, 1, 'gws.rishi@gmail.com', '$2y$12$1x51k/VAKGcfRNgbI50vUOhWynFoz0HbhyRaoyV7xJNGbBRFLd0b2', 'Rishikesh Prasad', 'gws.rishi@gmail.com', '2024-10-03 17:07:38', '9062297722', NULL, 'admin_profile/1728129256_2.jpg', '741235', 'Kalyani', 'West Bengal', 'India', 'A-1/49', NULL, '2024-10-03 17:06:41', '2024-10-06 08:43:53', 1, 1, 0),
(24, 1, 'wohiga1782@chainds.com', '$2y$12$FmDguiL14aMwTy1BHvn/p.4CUb.2l25vMqw/0eD5lAZhNQdOcUyua', 'Chester Frye', 'wohiga1782@chainds.com', NULL, '+1 (744) 921-1902', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-05 11:22:56', '2024-10-07 09:38:56', 1, 1, 1),
(25, 1, 'bnttradinghelp@gmail.com', '$2y$12$FTVnm9IEqUaA/i64Tsw4YeNkqwyZqCAbb/dCGo3EEnhGzxv.cvvc.', 'Aman Jain', 'bnttradinghelp@gmail.com', '2024-10-05 14:31:35', '0987654321', NULL, 'admin_profile/1728305960_BNT trading Logo.gif', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-05 14:31:09', '2024-10-07 12:59:20', 1, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `cache`
--

CREATE TABLE `cache` (
  `key` varchar(255) NOT NULL,
  `value` mediumtext NOT NULL,
  `expiration` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `cache_locks`
--

CREATE TABLE `cache_locks` (
  `key` varchar(255) NOT NULL,
  `owner` varchar(255) NOT NULL,
  `expiration` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `failed_jobs`
--

CREATE TABLE `failed_jobs` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `uuid` varchar(255) NOT NULL,
  `connection` text NOT NULL,
  `queue` text NOT NULL,
  `payload` longtext NOT NULL,
  `exception` longtext NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `jobs`
--

CREATE TABLE `jobs` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `queue` varchar(255) NOT NULL,
  `payload` longtext NOT NULL,
  `attempts` tinyint(3) UNSIGNED NOT NULL,
  `reserved_at` int(10) UNSIGNED DEFAULT NULL,
  `available_at` int(10) UNSIGNED NOT NULL,
  `created_at` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `job_batches`
--

CREATE TABLE `job_batches` (
  `id` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `total_jobs` int(11) NOT NULL,
  `pending_jobs` int(11) NOT NULL,
  `failed_jobs` int(11) NOT NULL,
  `failed_job_ids` longtext NOT NULL,
  `options` mediumtext DEFAULT NULL,
  `cancelled_at` int(11) DEFAULT NULL,
  `created_at` int(11) NOT NULL,
  `finished_at` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

CREATE TABLE `migrations` (
  `id` int(10) UNSIGNED NOT NULL,
  `migration` varchar(255) NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `migrations`
--

INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
(2, '0001_01_01_000001_create_cache_table', 1),
(3, '0001_01_01_000002_create_jobs_table', 1),
(4, '2024_03_09_081414_create_roles_table', 2),
(5, '2024_03_10_090802_create_admins_table', 2),
(6, '2024_03_15_082124_create_resources_table', 2),
(7, '2024_03_15_084100_create_permissions_table', 2),
(8, '2024_03_03_134928_create_activity_logs_table', 3),
(10, '2024_04_01_054726_create_login_logout_activities_table', 5),
(11, '2024_09_07_081509_create_transaction_categories_table', 6),
(13, '2024_09_07_084606_create_transactions_table', 7),
(14, '0001_01_01_000000_create_users_table', 8),
(17, '2024_09_17_180401_create_packages_table', 9),
(18, '2024_09_17_180630_create_videos_table', 9),
(19, '2024_09_21_113426_create_user_packages_table', 10),
(20, '2024_09_26_044913_create_requests_table', 11),
(21, '2024_09_30_173039_create_pdfs_table', 12);

-- --------------------------------------------------------

--
-- Table structure for table `packages`
--

CREATE TABLE `packages` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `price` decimal(10,0) NOT NULL DEFAULT 0,
  `duration` varchar(255) DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `trash` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `packages`
--

INSERT INTO `packages` (`id`, `name`, `description`, `price`, `duration`, `status`, `trash`, `created_at`, `updated_at`) VALUES
(4, 'Test Plan', 'Test', 4999, NULL, 1, 0, '2024-10-06 15:16:52', '2024-10-06 15:16:52'),
(5, 'Test Plan Secound', 'Test plan2', 6999, NULL, 1, 0, '2024-10-06 15:17:26', '2024-10-06 15:17:26'),
(6, 'Test Plan td', 'twast', 9999, NULL, 1, 0, '2024-10-06 15:17:50', '2024-10-06 15:17:50'),
(7, 'Aman Jain', 'zero to hero', 0, NULL, 1, 0, '2024-10-08 04:41:38', '2024-10-08 04:41:38');

-- --------------------------------------------------------

--
-- Table structure for table `password_reset_tokens`
--

CREATE TABLE `password_reset_tokens` (
  `email` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `pdfs`
--

CREATE TABLE `pdfs` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `type` varchar(10) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `package_id` bigint(20) UNSIGNED DEFAULT NULL,
  `pdf` varchar(255) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `pdfs`
--

INSERT INTO `pdfs` (`id`, `type`, `name`, `description`, `package_id`, `pdf`, `created_at`, `updated_at`) VALUES
(5, NULL, 'ff', 'dfd', 4, 'pdfs/1728492394_sample (1).pdf', '2024-10-09 11:16:34', '2024-10-09 11:16:34');

-- --------------------------------------------------------

--
-- Table structure for table `permissions`
--

CREATE TABLE `permissions` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `role_id` bigint(20) UNSIGNED NOT NULL,
  `resource_id` bigint(20) UNSIGNED NOT NULL,
  `view_data` int(11) NOT NULL DEFAULT 0,
  `add_data` int(11) NOT NULL DEFAULT 0,
  `edit_data` int(11) NOT NULL DEFAULT 0,
  `delete_data` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `permissions`
--

INSERT INTO `permissions` (`id`, `role_id`, `resource_id`, `view_data`, `add_data`, `edit_data`, `delete_data`, `created_at`, `updated_at`) VALUES
(1, 1, 1, 0, 0, 0, 0, '2024-09-07 00:38:36', '2024-09-07 00:38:36'),
(2, 1, 2, 0, 0, 0, 0, '2024-09-07 00:38:36', '2024-09-17 09:41:50'),
(3, 1, 3, 0, 0, 0, 0, '2024-09-07 02:48:12', '2024-09-07 02:48:12'),
(6, 1, 6, 0, 0, 0, 0, '2024-09-21 08:07:43', '2024-09-21 08:07:43'),
(7, 1, 7, 0, 0, 0, 0, '2024-09-21 08:07:43', '2024-09-21 08:07:43'),
(8, 1, 8, 1, 1, 1, 1, '2024-09-21 08:07:43', '2024-09-21 08:07:43'),
(9, 1, 9, 1, 1, 1, 1, '2024-09-21 08:07:43', '2024-09-21 08:07:43'),
(10, 1, 12, 1, 1, 1, 1, '2024-09-21 08:07:43', '2024-09-21 08:07:43'),
(11, 1, 13, 1, 1, 1, 1, '2024-09-21 08:07:43', '2024-09-21 08:07:43'),
(12, 1, 14, 1, 1, 1, 1, '2024-09-21 08:07:43', '2024-09-21 08:07:43'),
(13, 1, 15, 1, 1, 1, 1, '2024-09-21 08:07:43', '2024-09-21 08:07:43');

-- --------------------------------------------------------

--
-- Table structure for table `requests`
--

CREATE TABLE `requests` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` bigint(20) UNSIGNED NOT NULL,
  `package_id` bigint(20) UNSIGNED NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `trash` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `requests`
--

INSERT INTO `requests` (`id`, `user_id`, `package_id`, `status`, `trash`, `created_at`, `updated_at`) VALUES
(9, 25, 4, 1, 0, '2024-10-06 15:43:40', '2024-10-06 15:43:40'),
(11, 25, 5, 1, 0, '2024-10-07 12:48:04', '2024-10-07 12:48:04'),
(12, 25, 6, 1, 0, '2024-10-08 04:18:00', '2024-10-08 04:18:00');

-- --------------------------------------------------------

--
-- Table structure for table `resources`
--

CREATE TABLE `resources` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `resource` varchar(100) NOT NULL,
  `resource_name` varchar(50) NOT NULL,
  `resource_slug` varchar(100) NOT NULL,
  `resource_icon` varchar(100) NOT NULL,
  `position` int(11) NOT NULL DEFAULT 0,
  `status` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `resources`
--

INSERT INTO `resources` (`id`, `resource`, `resource_name`, `resource_slug`, `resource_icon`, `position`, `status`, `created_at`, `updated_at`) VALUES
(1, 'Role', 'Role', 'admin.user_role_list', 'mdi mdi-account', 1, 1, NULL, NULL),
(2, 'Student', 'Student Manage', 'admin.user_list', 'mdi mdi-account', 3, 1, NULL, NULL),
(6, 'Course', 'Course Manage', 'admin.package.list', 'mdi mdi-book', 3, 1, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `roles`
--

CREATE TABLE `roles` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `role_name` varchar(255) NOT NULL,
  `terms_conditions` longtext DEFAULT NULL,
  `created_by` bigint(20) UNSIGNED DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `roles`
--

INSERT INTO `roles` (`id`, `role_name`, `terms_conditions`, `created_by`, `created_at`, `updated_at`) VALUES
(1, 'Student', NULL, NULL, '2024-09-05 03:47:07', '2024-09-05 03:47:07');

-- --------------------------------------------------------

--
-- Table structure for table `sessions`
--

CREATE TABLE `sessions` (
  `id` varchar(255) NOT NULL,
  `user_id` bigint(20) UNSIGNED DEFAULT NULL,
  `ip_address` varchar(45) DEFAULT NULL,
  `user_agent` text DEFAULT NULL,
  `payload` longtext NOT NULL,
  `last_activity` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `phone` varchar(255) NOT NULL,
  `picture` varchar(255) DEFAULT NULL,
  `address` text DEFAULT NULL,
  `password` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `user_packages`
--

CREATE TABLE `user_packages` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` bigint(20) UNSIGNED NOT NULL,
  `package_id` bigint(20) UNSIGNED NOT NULL,
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `trash` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `user_packages`
--

INSERT INTO `user_packages` (`id`, `user_id`, `package_id`, `start_date`, `end_date`, `status`, `trash`, `created_at`, `updated_at`) VALUES
(2, 13, 4, NULL, NULL, 1, 0, '2024-10-07 11:51:00', '2024-10-07 11:51:00');

-- --------------------------------------------------------

--
-- Table structure for table `videos`
--

CREATE TABLE `videos` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `type` varchar(10) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `package_id` bigint(20) UNSIGNED DEFAULT NULL,
  `video` varchar(255) DEFAULT NULL,
  `video_link` varchar(255) DEFAULT NULL,
  `video_id` varchar(255) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `videos`
--

INSERT INTO `videos` (`id`, `type`, `name`, `description`, `package_id`, `video`, `video_link`, `video_id`, `created_at`, `updated_at`) VALUES
(11, NULL, 'ee', 'ee', 4, NULL, 'https://vimeo.com/1017470124', '1017470124', '2024-10-09 05:30:16', '2024-10-09 05:43:07'),
(12, NULL, 'aa', 'aa', 7, NULL, 'https://vimeo.com/1017470124', '1017470124', '2024-10-09 06:05:59', '2024-10-09 06:05:59'),
(13, NULL, 'dsfdf', 'dfsdfds', 5, NULL, 'sadsads', 'sadsads', '2024-10-09 11:22:18', '2024-10-09 11:22:18');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `activity_login_logouts`
--
ALTER TABLE `activity_login_logouts`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `activity_logs`
--
ALTER TABLE `activity_logs`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `admins`
--
ALTER TABLE `admins`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `admins_username_unique` (`username`),
  ADD UNIQUE KEY `admins_email_unique` (`email`),
  ADD UNIQUE KEY `admins_phone_unique` (`phone`),
  ADD KEY `admins_role_id_foreign` (`role_id`),
  ADD KEY `admins_created_by_foreign` (`created_by`);

--
-- Indexes for table `cache`
--
ALTER TABLE `cache`
  ADD PRIMARY KEY (`key`);

--
-- Indexes for table `cache_locks`
--
ALTER TABLE `cache_locks`
  ADD PRIMARY KEY (`key`);

--
-- Indexes for table `failed_jobs`
--
ALTER TABLE `failed_jobs`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`);

--
-- Indexes for table `jobs`
--
ALTER TABLE `jobs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `jobs_queue_index` (`queue`);

--
-- Indexes for table `job_batches`
--
ALTER TABLE `job_batches`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `migrations`
--
ALTER TABLE `migrations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `packages`
--
ALTER TABLE `packages`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `password_reset_tokens`
--
ALTER TABLE `password_reset_tokens`
  ADD PRIMARY KEY (`email`);

--
-- Indexes for table `pdfs`
--
ALTER TABLE `pdfs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `pdfs_package_id_foreign` (`package_id`);

--
-- Indexes for table `permissions`
--
ALTER TABLE `permissions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `permissions_role_id_foreign` (`role_id`),
  ADD KEY `permissions_resource_id_foreign` (`resource_id`);

--
-- Indexes for table `requests`
--
ALTER TABLE `requests`
  ADD PRIMARY KEY (`id`),
  ADD KEY `requests_user_id_foreign` (`user_id`),
  ADD KEY `requests_package_id_foreign` (`package_id`);

--
-- Indexes for table `resources`
--
ALTER TABLE `resources`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `roles`
--
ALTER TABLE `roles`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `roles_role_name_unique` (`role_name`);

--
-- Indexes for table `sessions`
--
ALTER TABLE `sessions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sessions_user_id_index` (`user_id`),
  ADD KEY `sessions_last_activity_index` (`last_activity`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `users_email_unique` (`email`),
  ADD UNIQUE KEY `users_phone_unique` (`phone`);

--
-- Indexes for table `user_packages`
--
ALTER TABLE `user_packages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_packages_user_id_foreign` (`user_id`),
  ADD KEY `user_packages_package_id_foreign` (`package_id`);

--
-- Indexes for table `videos`
--
ALTER TABLE `videos`
  ADD PRIMARY KEY (`id`),
  ADD KEY `videos_package_id_foreign` (`package_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `activity_login_logouts`
--
ALTER TABLE `activity_login_logouts`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `activity_logs`
--
ALTER TABLE `activity_logs`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=230;

--
-- AUTO_INCREMENT for table `admins`
--
ALTER TABLE `admins`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=26;

--
-- AUTO_INCREMENT for table `failed_jobs`
--
ALTER TABLE `failed_jobs`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `jobs`
--
ALTER TABLE `jobs`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `migrations`
--
ALTER TABLE `migrations`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT for table `packages`
--
ALTER TABLE `packages`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `pdfs`
--
ALTER TABLE `pdfs`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `permissions`
--
ALTER TABLE `permissions`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT for table `requests`
--
ALTER TABLE `requests`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `resources`
--
ALTER TABLE `resources`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `roles`
--
ALTER TABLE `roles`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `user_packages`
--
ALTER TABLE `user_packages`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `videos`
--
ALTER TABLE `videos`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `admins`
--
ALTER TABLE `admins`
  ADD CONSTRAINT `admins_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `admins` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `admins_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `pdfs`
--
ALTER TABLE `pdfs`
  ADD CONSTRAINT `pdfs_package_id_foreign` FOREIGN KEY (`package_id`) REFERENCES `packages` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `requests`
--
ALTER TABLE `requests`
  ADD CONSTRAINT `requests_package_id_foreign` FOREIGN KEY (`package_id`) REFERENCES `packages` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `requests_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `admins` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `user_packages`
--
ALTER TABLE `user_packages`
  ADD CONSTRAINT `user_packages_package_id_foreign` FOREIGN KEY (`package_id`) REFERENCES `packages` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `user_packages_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `admins` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `videos`
--
ALTER TABLE `videos`
  ADD CONSTRAINT `videos_package_id_foreign` FOREIGN KEY (`package_id`) REFERENCES `packages` (`id`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
